﻿Public Class DataTemplateParameters
    Inherits DependencyObject

    Public Shared Function GetValueToCompare(ByVal obj As DependencyObject) As Double
        Return CDbl(obj.GetValue(ValueToCompareProperty))
    End Function

    Public Shared Sub SetValueToCompare(ByVal obj As DependencyObject, ByVal value As Double)
        obj.SetValue(ValueToCompareProperty, value)
    End Sub

    Public Shared ReadOnly ValueToCompareProperty As DependencyProperty = DependencyProperty.RegisterAttached("ValueToCompare", GetType(Double), GetType(DataTemplateParameters))
End Class