﻿Imports HHHB3.HHHB3.ViewModel
Imports Xceed.Wpf.AvalonDock

Class MainWindow
    Private Sub MainWindow_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        'show overview after Mainwindow is loaded
        Dim vMainModel As HHHB3.ViewModel.MainViewModel = GalaSoft.MvvmLight.Ioc.SimpleIoc.Default.GetInstance(Of HHHB3.ViewModel.MainViewModel)()
        'Add the overview tab to the mainwindow.
        cmd_rib_overview.Command.Execute(vMainModel.MenuHome)
        'Execute TransactionRepeat check after Programm is loaded:
        vMainModel.Transactions_RepExecute()
    End Sub
    Private Sub CloseProgram(sender As Object, e As RoutedEventArgs)
        Me.Close()
    End Sub


    Private Sub MainWindow_PreviewKeyDown(sender As Object, e As KeyEventArgs) Handles Me.PreviewKeyDown
        If e.Key = Key.F1 Then
            Call OpenHelp(Me, Nothing)
        End If
    End Sub

    Private Sub OpenHelp(sender As Object, e As RoutedEventArgs)
        Dim v_helppath As String = System.AppDomain.CurrentDomain.BaseDirectory & "\hhhb3_help.chm"
        'Open Help File
        If System.IO.File.Exists(v_helppath) Then
            Process.Start(v_helppath)
        Else
            MessageBox.Show("Hilfedatei konnte nicht gefunden werden", "Fehler", MessageBoxButton.OK, MessageBoxImage.Error)
        End If
    End Sub
End Class
