﻿''' <summary>
''' Base Class for defining the base of a Widget for the home screen
''' Contains basic properties e.g. the close command
''' </summary>
Public MustInherit Class cls_dashboard_base
    Inherits model_base 'Modelbase Klasse für Notifypropertychanged

    Private db_id As Integer

    Public MustOverride ReadOnly Property widget_bezeichnung As String


    'Properties to store the values of the database are inherited from widgets_v01 class.
    'Provides a local object of type widgets_v01 to store the values of the widget:

    Dim v_dbwidget As New widgets_v01
    Public Property DBWidget As widgets_v01
        Get
            Return v_dbwidget
        End Get
        Set(value As widgets_v01)
            If v_dbwidget IsNot value Then
                v_dbwidget = value
                NotifyPropertyChanged("DBWidget")
            End If
        End Set
    End Property


End Class
