﻿''' <summary>
''' MenueItem that represents a Konto Report Tab in Avalondock
''' </summary>
Public Class cls_menuitem_kontoreport
    Inherits avalon_menuitem_base

    Public Overrides ReadOnly Property bezeichnung As String
        Get
            Return String.Format("{0} - Ausdruck", v_public_name)
        End Get
    End Property

    Dim v_public_name As String = ""

    Public Property PublicName As String
        Get
            Return v_public_name
        End Get
        Set(value As String)
            If v_public_name <> value Then
                v_public_name = value
                NotifyPropertyChanged("PublicName")
                NotifyPropertyChanged("bezeichnung")
            End If
        End Set
    End Property
    Sub New()

    End Sub

    Sub New(v_ktoname As String)
        v_public_name = v_ktoname
    End Sub

    Dim v_report As New FlowDocument
    Public Property ReportDocument As FlowDocument
        Get
            Return v_report
        End Get
        Set(value As FlowDocument)
            If v_report IsNot value Then
                v_report = value
                NotifyPropertyChanged("ReportDocument")
            End If
        End Set
    End Property

End Class