﻿''' <summary>
''' Class which defines the settings of a Multiedit operation
''' </summary>
Public Class cls_multiedit_definition
    Inherits GalaSoft.MvvmLight.ObservableObject

    Dim v_datum_active As Boolean = False
    Dim v_status_active As Boolean = False
    Dim v_receiver_active As Boolean = False
    Dim v_person_active As Boolean = False
    Dim v_datum As Date = Date.Now
    Dim v_status_id As Integer
    Dim v_receiver_id As Integer
    Dim v_person_id As Integer

    Public Property Datum_active As Boolean
        Get
            Return v_datum_active
        End Get
        Set(value As Boolean)
            If v_datum_active <> value Then
                v_datum_active = value
                RaisePropertyChanged("Datum_active")
            End If
        End Set
    End Property

    Public Property Status_active As Boolean
        Get
            Return v_status_active
        End Get
        Set(value As Boolean)
            If v_status_active <> value Then
                v_status_active = value
                RaisePropertyChanged("Status_active")
            End If
        End Set
    End Property

    Public Property Receiver_active As Boolean
        Get
            Return v_receiver_active
        End Get
        Set(value As Boolean)
            If v_receiver_active <> value Then
                v_receiver_active = value
                RaisePropertyChanged("Receiver_active")
            End If
        End Set
    End Property

    Public Property Person_active As Boolean
        Get
            Return v_person_active
        End Get
        Set(value As Boolean)
            If v_person_active <> value Then
                v_person_active = value
                RaisePropertyChanged("Person_active")
            End If
        End Set
    End Property

    Public Property Datum As Date
        Get
            Return v_datum
        End Get
        Set(value As Date)
            If v_datum <> value Then
                v_datum = value
                RaisePropertyChanged("Datum")
            End If
        End Set
    End Property

    Public Property StatusId As Integer
        Get
            Return v_status_id
        End Get
        Set(value As Integer)
            If v_status_id <> value Then
                v_status_id = value
                RaisePropertyChanged("StatusId")
            End If
        End Set
    End Property

    Public Property ReceiverId As Integer
        Get
            Return v_receiver_id
        End Get
        Set(value As Integer)
            If v_receiver_id <> value Then
                v_receiver_id = value
                RaisePropertyChanged("ReceiverId")
            End If
        End Set
    End Property

    Public Property PersonId As Integer
        Get
            Return v_person_id
        End Get
        Set(value As Integer)
            If v_person_id <> value Then
                v_person_id = value
                RaisePropertyChanged("PersonId")
            End If
        End Set
    End Property

End Class
