﻿
'
'  In App.xaml:
'  <Application.Resources>
'      <vm:ViewModelLocator xmlns:vm="clr-namespace:HHHB3"
'                           x:Key="Locator" />
'  </Application.Resources>
'  
'  In the View:
'  DataContext="{Binding Source={StaticResource Locator}, Path=ViewModelName}"
'
'  You can also use Blend to do all this with the tool's support.
'  See http://www.galasoft.ch/mvvm
'


Imports GalaSoft.MvvmLight
Imports GalaSoft.MvvmLight.Ioc
Imports GalaSoft.MvvmLight.Views

Namespace HHHB3.ViewModel
    ''' <summary>
    ''' This class contains static references to all the view models in the
    ''' application and provides an entry point for the bindings.
    ''' </summary>
    Public Class ViewModelLocator
        ''' <summary>
        ''' Initializes a new instance of the ViewModelLocator class.
        ''' </summary>
        Public Sub New()
            SimpleIoc.[Default].Register(Of MainViewModel)()
        End Sub

        Public ReadOnly Property MainModel() As MainViewModel
            Get
                'cls_logger.v_logger.Info("IOC MainModel Try Set")
                ''MessageBox.Show("IOC Tryset")
                'Dim v_mainmodel As MainViewModel = SimpleIoc.[Default].GetInstance(Of MainViewModel)
                'If v_mainmodel Is Nothing Then
                '    cls_logger.v_logger.Error("Mainmodel SimpleIoc returned nothing!")
                '    Throw New Exception
                'End If
                'Return v_mainmodel
                Return SimpleIoc.[Default].GetInstance(Of MainViewModel)

            End Get
        End Property

        Public Shared Sub Cleanup()
            ' TODO Clear the ViewModels
            'If SimpleIoc.Default.IsRegistered(Of MainViewModel) Then
            '    SimpleIoc.Default.Unregister(Of MainViewModel)()
            'End If
        End Sub
    End Class
End Namespace