﻿Imports System.Globalization

''' <summary>
''' Konvertiert Boolean Werte in eine  Visibility 
''' Wird der Parameter als True übergeben erfolgt die Umwandlung: Boolean True = Visible und False = Collapsed bei Parameter False ergibt True = Collapsed und False = Visible
''' </summary>
Public Class cls_bool_2_visibility_converter
    Implements IValueConverter

    Public Function Convert(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.Convert
        Dim v_value As Boolean
        Dim v_parameter As Boolean = True

        If parameter.ToString.ToLower = "false" Then v_parameter = False

        If TypeOf (value) Is Boolean Then
            v_value = CBool(value)
        Else
            Return Visibility.Collapsed
        End If
        Debug.Print(String.Concat("Parameter: ", v_parameter.ToString))
        If v_parameter Then
            'Fall Parameter true:
            If v_value Then
                Return Visibility.Visible
            Else
                Return Visibility.Collapsed
            End If
        Else
            If v_value Then
                Return Visibility.Collapsed
            Else
                Return Visibility.Visible
            End If
        End If

    End Function

    Public Function ConvertBack(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
        Throw New NotImplementedException()
    End Function
End Class
