﻿Imports System.Globalization

Namespace HHHB3.Selectors

    ''' <summary>
    ''' Style Selector für Avalon Dock
    ''' </summary>
    Public Class avalon_styleselector
        Inherits StyleSelector
        Public Property StandardStyle() As Style
            Get
                Return m_standardstyle
            End Get
            Set
                m_standardstyle = Value
            End Set
        End Property
        Private m_standardstyle As Style

        Public Property SettingsStyle() As Style
            Get
                Return m_settingsstyle
            End Get
            Set
                m_settingsstyle = Value
            End Set
        End Property
        Private m_settingsstyle As Style

        Public Property VerwaltungStyle() As Style
            Get
                Return m_verwaltungstyle
            End Get
            Set
                m_verwaltungstyle = Value
            End Set
        End Property
        Private m_verwaltungstyle As Style

        Public Property HomeStyle() As Style
            Get
                Return m_homestyle
            End Get
            Set
                m_homestyle = Value
            End Set
        End Property
        Private m_homestyle As Style

        Public Property KontoStyle() As Style
            Get
                Return m_kontostyle
            End Get
            Set
                m_kontostyle = Value
            End Set
        End Property
        Private m_kontostyle As Style

        Public Property KontoJournalStyle() As Style
            Get
                Return m_kontojournalstyle
            End Get
            Set
                m_kontojournalstyle = Value
            End Set
        End Property
        Private m_kontojournalstyle As Style

        Public Property KontoReportStyle() As Style
            Get
                Return m_kontoreportstyle
            End Get
            Set
                m_kontoreportstyle = Value
            End Set
        End Property
        Private m_kontoreportstyle As Style

        Public Property SearchStyle() As Style
            Get
                Return m_searchstyle
            End Get
            Set
                m_searchstyle = Value
            End Set
        End Property
        Private m_searchstyle As Style

        Public Property BudgetStyle() As Style
            Get
                Return m_budgetstyle
            End Get
            Set
                m_budgetstyle = Value
            End Set
        End Property
        Private m_budgetstyle As Style

        Public Property TransRepStyle As Style
            Get
                Return m_transrepstyle
            End Get
            Set(value As Style)
                m_transrepstyle = value
            End Set
        End Property
        Private m_transrepstyle As Style

        Public Property TransTempStyle As Style
            Get
                Return m_transtempstyle
            End Get
            Set(value As Style)
                m_transtempstyle = value
            End Set
        End Property
        Private m_transtempstyle As Style

        Public Property TransStackStyle As Style
            Get
                Return m_transstackstyle
            End Get
            Set(value As Style)
                m_transstackstyle = value
            End Set
        End Property
        Private m_transstackstyle As Style

        Public Property DocumentsStyle As Style
            Get
                Return m_documentsstyle
            End Get
            Set(value As Style)
                m_documentsstyle = value
            End Set
        End Property
        Private m_documentsstyle As Style

        Public Property ArchivStyle As Style
            Get
                Return m_archivstyle
            End Get
            Set(value As Style)
                m_archivstyle = value
            End Set
        End Property
        Private m_archivstyle As Style

        Public Property BalancerStyle As Style
            Get
                Return m_balancerstyle
            End Get
            Set(value As Style)
                m_balancerstyle = value
            End Set
        End Property
        Private m_balancerstyle As Style

        Public Property SavingTargetStyle As Style
            Get
                Return m_savingtargetstyle
            End Get
            Set(value As Style)
                m_savingtargetstyle = value
            End Set
        End Property
        Private m_savingtargetstyle As Style


        'Styles for the different reports:
        Public Property RepCapitalStyle As Style
            Get
                Return m_rep_capital
            End Get
            Set(value As Style)
                m_rep_capital = value
            End Set
        End Property
        Private m_rep_capital As Style


        Public Property RepFoldertransStyle As Style
            Get
                Return m_rep_foldertrans
            End Get
            Set(value As Style)
                m_rep_foldertrans = value
            End Set
        End Property
        Private m_rep_foldertrans As Style

        Public Property RepEinausStyle As Style
            Get
                Return m_rep_einaus
            End Get
            Set(value As Style)
                m_rep_einaus = value
            End Set
        End Property
        Private m_rep_einaus As Style

        Public Property RepEinStyle As Style
            Get
                Return m_rep_ein
            End Get
            Set(value As Style)
                m_rep_ein = value
            End Set
        End Property
        Private m_rep_ein As Style

        Public Property RepAusStyle As Style
            Get
                Return m_rep_aus
            End Get
            Set(value As Style)
                m_rep_aus = value
            End Set
        End Property
        Private m_rep_aus As Style

        Public Property RepCatsStyle As Style
            Get
                Return m_rep_cats
            End Get
            Set(value As Style)
                m_rep_cats = value
            End Set
        End Property
        Private m_rep_cats As Style

        Public Property RepTopCatsStyle As Style
            Get
                Return m_rep_topcats
            End Get
            Set(value As Style)
                m_rep_topcats = value
            End Set
        End Property
        Private m_rep_topcats As Style

        Public Property RepReceiverStyle As Style
            Get
                Return m_rep_receiver
            End Get
            Set(value As Style)
                m_rep_receiver = value
            End Set
        End Property
        Private m_rep_receiver As Style

        Public Property RepTopReceiverStyle As Style
            Get
                Return m_rep_topreceiver
            End Get
            Set(value As Style)
                m_rep_topreceiver = value
            End Set
        End Property
        Private m_rep_topreceiver As Style

        Public Property RepPersonStyle As Style
            Get
                Return m_rep_person
            End Get
            Set(value As Style)
                m_rep_person = value
            End Set
        End Property
        Private m_rep_person As Style

        Public Property RepTopPersonStyle As Style
            Get
                Return m_rep_topperson
            End Get
            Set(value As Style)
                m_rep_topperson = value
            End Set
        End Property
        Private m_rep_topperson As Style

        Public Property RepPeriodsStyle As Style
            Get
                Return m_rep_period
            End Get
            Set(value As Style)
                m_rep_period = value
            End Set
        End Property
        Private m_rep_period As Style




        Public Overrides Function SelectStyle(item As Object, container As System.Windows.DependencyObject) As System.Windows.Style
            Select Case True
                Case TypeOf (item) Is settings
                    Return SettingsStyle
                Case TypeOf (item) Is cls_menuitem_verwaltung
                    Return VerwaltungStyle
                Case TypeOf (item) Is konto_v01
                    Return KontoStyle
                Case TypeOf (item) Is bookjournal_v01
                    Return KontoJournalStyle
                Case TypeOf (item) Is cls_menuitem_kontoreport
                    Return KontoReportStyle
                Case TypeOf (item) Is searchdefinition_v01
                    Return SearchStyle
                Case TypeOf (item) Is budget_v01
                    Return BudgetStyle
                Case TypeOf (item) Is cls_menuitem_home
                    Return HomeStyle
                Case TypeOf (item) Is cls_menuitem_transrep_overview
                    Return TransRepStyle
                Case TypeOf (item) Is cls_menuitem_transtemp_overview
                    Return TransTempStyle
                Case TypeOf (item) Is cls_menuitem_transstack
                    Return TransStackStyle
                Case TypeOf (item) Is cls_menuitem_documents
                    Return DocumentsStyle
                Case TypeOf (item) Is cls_menuitem_archiv
                    Return ArchivStyle
                Case TypeOf (item) Is cls_menuitem_balancer
                    Return BalancerStyle
                Case TypeOf (item) Is cls_menuitem_savingtargets
                    Return SavingTargetStyle
                Case TypeOf (item) Is report_base_v01
                    Dim v_repbase As report_base_v01 = DirectCast(item, report_base_v01)
                    Select Case v_repbase.type
                        Case "rep_capital"
                            Return RepCapitalStyle
                        Case "rep_foldertrans"
                            Return RepFoldertransStyle
                        Case "rep_einaus"
                            Return RepEinausStyle
                        Case "rep_ein"
                            Return RepEinStyle
                        Case "rep_aus"
                            Return RepAusStyle
                        Case "rep_cats"
                            Return RepCatsStyle
                        Case "rep_topcats"
                            Return RepTopCatsStyle
                        Case "rep_receiver"
                            Return RepReceiverStyle
                        Case "rep_topreceiver"
                            Return RepTopReceiverStyle
                        Case "rep_person"
                            Return RepPersonStyle
                        Case "rep_topperson"
                            Return RepTopPersonStyle
                        Case "rep_periods"
                            Return RepPeriodsStyle
                        Case Else
                            Return StandardStyle
                    End Select
                Case Else
                    Return StandardStyle
            End Select

            Return MyBase.SelectStyle(item, container)
        End Function

    End Class
End Namespace