﻿Imports System.Reflection
Imports System.Collections.ObjectModel
Imports System.Runtime.CompilerServices
Imports System.Collections.Specialized
Imports System.ComponentModel
''' <summary>
''' Definiert einen Specialfolder für das Ribbon
''' </summary>
Public Class cls_specialfolderitem
    Implements INotifyPropertyChanged

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged
    Private Sub NotifyPropertyChanged(<CallerMemberName()> Optional ByVal propertyName As String = Nothing)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
    End Sub

    Dim v_name As String = ""
    Dim v_picture As BitmapImage
    Dim v_path As String = ""

    Public Property FolderName As String
        Get
            Return v_name
        End Get
        Set(value As String)
            If v_name <> value Then
                v_name = value
                NotifyPropertyChanged("Foldername")
            End If
        End Set
    End Property
    Public Property FolderPicture As BitmapImage
        Get
            Return v_picture
        End Get
        Set(value As BitmapImage)
            v_picture = value
            NotifyPropertyChanged("FolderPictureTest")
        End Set
    End Property

    Public Property FolderPath As String
        Get
            Return v_path
        End Get
        Set(value As String)
            If v_path <> value Then
                v_path = value
                NotifyPropertyChanged("FolderPath")
            End If
        End Set
    End Property

    Sub New()

    End Sub

    Sub New(fol_name As String, fol_pic As BitmapImage, fol_path As String)
        FolderName = fol_name
        FolderPath = fol_path
        FolderPicture = fol_pic
    End Sub
End Class
