﻿Imports System.Text

Public Class transactions_stack
    Inherits model_base

#Region "ErrorInterface"
    ''' <summary>
    ''' Routine für die Fehlervalidierung
    ''' </summary>
    ''' <param name="columnName"></param>
    ''' <returns></returns>
    Public Overrides ReadOnly Property ErrorItem(columnName As String) As String
        Get
            Dim v_result As String = String.Empty

            Select Case columnName
                Case "cont_amount"
                    If cont_amount = Nothing Then v_result = "Betrag muss angegeben werden"
                Case "cont_category_id"
                    If cont_category_id = Nothing OrElse cont_category_id = 0 Then v_result = "Kategorie muss angegeben werden"
                Case Else
                    Return v_result
            End Select
            If String.IsNullOrEmpty(v_result) Then
                v_haserrors = False
            Else
                v_haserrors = True
            End If
            Return v_result
        End Get
    End Property
#End Region


    Dim v_cont_transaction As New transactions_v01
    Public Property cont_transaction As transactions_v01
        Get
            Return v_cont_transaction
        End Get
        Set(value As transactions_v01)
            v_cont_transaction = value
            NotifyPropertyChanged("cont_transaction")
        End Set
    End Property

    Dim v_cont_amount As Decimal = 0D
    Public Property cont_amount As Decimal
        Get
            Return v_cont_amount
        End Get
        Set(value As Decimal)
            If v_cont_amount <> value Then
                v_cont_amount = value
                NotifyPropertyChanged("cont_amount")
            End If
        End Set
    End Property

    Dim v_cont_category_id As Integer
    Public Property cont_category_id As Integer
        Get
            Return v_cont_category_id
        End Get
        Set(value As Integer)
            If v_cont_category_id <> value Then
                v_cont_category_id = value
                NotifyPropertyChanged("cont_category_id")
            End If
        End Set
    End Property

    Dim v_cont_tag_id As Integer
    Public Property cont_tag_id As Integer
        Get
            Return v_cont_tag_id
        End Get
        Set(value As Integer)
            If v_cont_tag_id <> value Then
                v_cont_tag_id = value
                NotifyPropertyChanged("cont_tag_id")
            End If
        End Set
    End Property

    Sub New()
    End Sub

    Dim v_state_executed As Boolean = False
    Public Property State_Executed As Boolean
        Get
            Return v_state_executed
        End Get
        Set(value As Boolean)
            If v_state_executed <> value Then
                v_state_executed = value
                NotifyPropertyChanged("State_Executed")
                NotifyPropertyChanged("State_Executed_Image")
            End If
        End Set
    End Property

    Public ReadOnly Property State_Executed_Image As Byte()
        Get
            If v_state_executed Then
                'True
                Return ResourceDictionaryImagetoByte("Ok")
            Else
                Return ResourceDictionaryImagetoByte("Cancel")
            End If
        End Get
    End Property



End Class
