﻿Imports System.ComponentModel.DataAnnotations
Imports System.Collections.ObjectModel
Imports System.ComponentModel.DataAnnotations.Schema
Imports System.Collections.Specialized
Imports System.ComponentModel

Public Class import_definition_head
    Inherits model_base

    Dim v_id As Integer
    Dim v_bezeichnung As String
    Dim v_typ As String
    Dim v_csv_limiter As String = ";" 'Can be: : , = leerzeichen tabstopp userdefined feste breite


#Region "Mapped"
    <Key>
    Public Property Id As Integer
        Get
            Return v_id
        End Get
        Set(value As Integer)
            If v_id <> value Then
                v_id = value
                NotifyPropertyChanged("Id")
            End If
        End Set
    End Property

    Public Property bezeichnung As String
        Get
            Return v_bezeichnung
        End Get
        Set(value As String)
            If v_bezeichnung <> value Then
                v_bezeichnung = value
                NotifyPropertyChanged("bezeichnung")
            End If
        End Set
    End Property

    Public Property typ As String
        Get
            Return v_typ
        End Get
        Set(value As String)
            If v_typ <> value Then
                v_typ = value
                NotifyPropertyChanged("typ")
            End If
        End Set
    End Property
#End Region

#Region "Navigation Properties"
    Public Overridable Property nv_import_definition_rows As New ObservableCollection(Of import_definition_row)
#End Region

#Region "Extension"
    Public ReadOnly Property symbol_ever() As Byte()
        Get
            If typ = Nothing OrElse typ = String.Empty Then
                Return ResourceDictionaryImagetoByte("CSV")
            Else
                Select Case typ
                    Case "csv"
                        Return ResourceDictionaryImagetoByte("CSV")
                    Case "xls"
                        Return ResourceDictionaryImagetoByte("EXCEL")
                    Case "qif"
                        Return ResourceDictionaryImagetoByte("CSV")
                    Case Else
                        Return ResourceDictionaryImagetoByte("CSV")
                End Select
            End If
        End Get
    End Property
#End Region


#Region "ErrorInterface"
    ''' <summary>
    ''' Routine für die Fehlervalidierung
    ''' </summary>
    ''' <param name="columnName"></param>
    ''' <returns></returns>
    Public Overrides ReadOnly Property ErrorItem(columnName As String) As String
        Get
            Return String.Empty
        End Get
    End Property
#End Region

End Class