﻿Imports System.ComponentModel.DataAnnotations
Imports System.Collections.ObjectModel
Imports System.ComponentModel.DataAnnotations.Schema

Public Class trans_tag_v01
    Inherits model_base

    'Interne Variablen
    Dim v_Id As Integer
    Dim v_tagid As Integer
    Dim v_transaction_id As Integer

#Region "Mapped"
    <Key>
    Public Property Id As Integer
        Get
            Return v_Id
        End Get
        Set(value As Integer)
            If v_Id <> value Then
                v_Id = value
                NotifyPropertyChanged("Id")
            End If
        End Set
    End Property

    Public Property tagid As Integer
        Get
            Return v_tagid
        End Get
        Set(value As Integer)
            If v_tagid <> value Then
                v_tagid = value
                NotifyPropertyChanged("tagid")
            End If
        End Set
    End Property

    Public Property transaction_id As Integer
        Get
            Return v_transaction_id
        End Get
        Set(value As Integer)
            If v_transaction_id <> value Then
                v_transaction_id = value
                NotifyPropertyChanged("transaction_id")
            End If
        End Set
    End Property
#End Region


#Region "Navigation Properties"

    Dim v_nv_tag_tt_back As tags_v01
    Dim v_nv_trans_transtag_back As transactions_v01

    <ForeignKey("tagid")>
    Public Property nv_tag_tt_back As tags_v01
        Get
            Return v_nv_tag_tt_back
        End Get
        Set(value As tags_v01)
            If v_nv_tag_tt_back IsNot value Then
                v_nv_tag_tt_back = value
                NotifyPropertyChanged("nv_tag_tt_back")
            End If
        End Set
    End Property
    <ForeignKey("transaction_id")>
    Public Property nv_trans_transtag_back As transactions_v01
        Get
            Return v_nv_trans_transtag_back
        End Get
        Set(value As transactions_v01)
            If v_nv_trans_transtag_back IsNot value Then
                v_nv_trans_transtag_back = value
                NotifyPropertyChanged("nv_trans_transtag_back")
            End If
        End Set
    End Property
#End Region

#Region "Extension"

    Dim v_helpname As String
    <NotMapped>
    Public Property bezeichnung_help As String
        Get
            If nv_tag_tt_back Is Nothing Then
                Return v_helpname
            Else
                Return nv_tag_tt_back.bezeichnung
            End If
        End Get
        Set(value As String)
            v_helpname = value
        End Set
    End Property
#End Region
End Class
