﻿''' <summary>
''' Defines an object which represents an timeframe used for filtering
''' </summary>
Public Class cls_timeframe
    Inherits model_base

    Dim v_id As Integer
    Dim v_bezeichnung As String
    Dim v_scope As String
    Dim v_count As Integer
    Dim v_userdef_count As Boolean = False

    Public Property Id As Integer
        Get
            Return v_id
        End Get
        Set(value As Integer)
            If v_id <> value Then
                v_id = value
                NotifyPropertyChanged("Id")
            End If
        End Set
    End Property

    Public Property bezeichnung As String
        Get
            Return v_bezeichnung
        End Get
        Set(value As String)
            If v_bezeichnung <> value Then
                v_bezeichnung = value
                NotifyPropertyChanged("bezeichnung")
            End If
        End Set
    End Property

    Public Property scope As String
        Get
            Return v_scope
        End Get
        Set(value As String)
            If v_scope <> value Then
                v_scope = value
                NotifyPropertyChanged("scope")
            End If
        End Set
    End Property

    Public Property count As Integer
        Get
            Return v_count
        End Get
        Set(value As Integer)
            If v_count <> value Then
                v_count = value
                NotifyPropertyChanged("count")
            End If
        End Set
    End Property

    Public Property userdef_count As Boolean
        Get
            Return v_userdef_count
        End Get
        Set(value As Boolean)
            If v_userdef_count <> value Then
                v_userdef_count = value
                NotifyPropertyChanged("userdef_count")
            End If
        End Set
    End Property


End Class