﻿Imports System.Globalization

Namespace HHHB3.Validation

    Public Class cls_val_string_not_empty
        Inherits ValidationRule

        Dim v_errstr As String = ""
        ''' <summary>
        ''' String der angezeigt werden soll bei einem ungültigen Ergebnis
        ''' </summary>
        ''' <returns></returns>
        Public Property ErrorString As String
            Get
                Return v_errstr
            End Get
            Set(value As String)
                v_errstr = value
            End Set
        End Property


        Public Overrides Function Validate(value As Object, cultureInfo As CultureInfo) As ValidationResult
            If value Is Nothing OrElse String.IsNullOrEmpty(value.ToString) Then
                Return New ValidationResult(False, v_errstr)
            End If

            Return ValidationResult.ValidResult
        End Function
    End Class
End Namespace

