﻿Imports System.Collections.ObjectModel
Public Class cls_menuitem_balancer
    Inherits avalon_menuitem_base


    'The cls_menuitem_balancer class contains the everything from the former cls_balancer (from hhhb2)

    Public Overrides ReadOnly Property bezeichnung As String
        Get
            Return "Abrechnung"
        End Get
    End Property

#Region "Balancer"


    Dim v_startdate As Date = New Date(Date.Now.Year, Date.Now.Month, 1)
    Dim v_enddate As Date = New Date(Date.Now.Year, Date.Now.Month, 1).AddMonths(1).AddDays(-1)

    Public Property Start_date As Date
            Get
                Return v_startdate
            End Get
            Set(value As Date)
                If v_startdate <> value Then
                v_startdate = value
                If Results IsNot Nothing AndAlso Results.Count > 0 Then Results.Clear()
                NotifyPropertyChanged("Start_date")
            End If
            End Set
        End Property

    Public Property End_date As Date
        Get
            Return v_enddate
        End Get
        Set(value As Date)
            If v_enddate <> value Then
                v_enddate = value
                If Results IsNot Nothing AndAlso Results.Count > 0 Then Results.Clear()
                NotifyPropertyChanged("End_Date")
            End If
        End Set
    End Property

    Public Sub ClearAll(v_person As Boolean, v_konto As Boolean)
        If v_person Then __selected_persons.Clear()
        If v_konto Then __selected_kontos.Clear()
        If Results IsNot Nothing AndAlso Results.Count > 0 Then Results.Clear()
    End Sub


    Private WithEvents __selected_persons As New ObservableCollection(Of person_v01)
    Private WithEvents __selected_kontos As New ObservableCollection(Of konto_v01)
    Public Property Selected_Persons As ListCollectionView = New ListCollectionView(__selected_persons)
    Public Property Selected_Kontos As ListCollectionView = New ListCollectionView(__selected_kontos)

    Private Sub __selected_persons_CollectionChanged(sender As Object, e As Specialized.NotifyCollectionChangedEventArgs) Handles __selected_persons.CollectionChanged
        If Not Selected_Persons Is Nothing AndAlso Selected_Persons.Count > 0 Then
            If Not Selected_Persons.MoveCurrentToNext Then Selected_Persons.MoveCurrentToPrevious()
        End If
        If Results IsNot Nothing AndAlso Results.Count > 0 Then Results.Clear()
    End Sub
    Private Sub __selected_kontos_CollectionChanged(sender As Object, e As Specialized.NotifyCollectionChangedEventArgs) Handles __selected_kontos.CollectionChanged
        If Not Selected_Kontos Is Nothing AndAlso Selected_Kontos.Count > 0 Then
            If Not Selected_Kontos.MoveCurrentToNext Then Selected_Kontos.MoveCurrentToPrevious()
        End If
        If Results IsNot Nothing AndAlso Results.Count > 0 Then Results.Clear()
    End Sub

    Public Property Results As New ObservableCollection(Of person_v01_balance)

    Dim v_average As Decimal = 0
    Dim v_totamount As Decimal = 0

    Public Property Average As Decimal
        Get
            Return v_average
        End Get
        Set(value As Decimal)
            If v_average <> value Then
                v_average = value
                NotifyPropertyChanged("Average")
            End If
        End Set
    End Property

    Public Property TotAmount As Decimal
        Get
            Return v_totamount
        End Get
        Set(value As Decimal)
            If v_totamount <> value Then
                v_totamount = value
                NotifyPropertyChanged("TotAmount")
            End If
        End Set
    End Property
#End Region















End Class
