﻿Imports System.ComponentModel.DataAnnotations.Schema
''' <summary>
''' Class which holds the result of a balanced person
''' </summary>
Public Class person_v01_balance
    Inherits GalaSoft.MvvmLight.ObservableObject

    Dim v_bezeichnung As String
    Dim v_pers_id As Integer
    Dim v_amount As Decimal = 0D
    Dim v_delta As Decimal = 0D

    Public Property Bezeichnung As String
        Get
            Return v_bezeichnung
        End Get
        Set(value As String)
            If v_bezeichnung <> value Then
                v_bezeichnung = value
                RaisePropertyChanged("Bezeichnung")
            End If
        End Set
    End Property

    Public Property PersonId As Integer
        Get
            Return v_pers_id
        End Get
        Set(value As Integer)
            If v_pers_id <> value Then
                v_pers_id = value
                RaisePropertyChanged("PersonId")
            End If
        End Set
    End Property

    Public Property Amount As Decimal
        Get
            Return v_amount
        End Get
        Set(value As Decimal)
            If v_amount <> value Then
                v_amount = value
                RaisePropertyChanged("Amount")
            End If
        End Set
    End Property

    Public Property Delta As Decimal
        Get
            Return v_delta
        End Get
        Set(value As Decimal)
            If v_delta <> value Then
                v_delta = value
                RaisePropertyChanged("Delta")
            End If
        End Set
    End Property

End Class
